Selection API

From FreeCAD Documentation
This page is a translated version of the page Selection API and the translation is 75% complete.
Other languages:
(October 2019) Do not edit this page. The information is incomplete and outdated. For the latest API, see the autogenerated API documentation, or generate the documentation yourself, see Source documentation.

El submódulo de selección es parte del módulo FreeCADGui. Ejemplo:

import FreeCADGui
sel = FreeCADGui.Selection.getSelection()
addSelection ( FreeCAD.Object )

Descripción: Añade un objeto a la selección

Devuelve:


clearSelection ( [string] )

Descripción: Limpia la selección del nombre del documento dado. Si no se da ningún documento la selección completa es limpiada.

Devuelve:


getSelection ( [string] )

Descripción: Devuelve una lista de objetos seleccionados para un nombre de documento dado. Si no se da ningún documento se devuelve la selección completa.

Devuelve: Una lista de objetos


isSelected ( FreeCAD.Object )

Descripción: Comprueba si un objeto dado está seleccionado

Devuelve:


removeSelection ( FreeCAD.Object )

Descripción: Elimina un objeto de la selección

Devuelve: